<template>
  <div class="passwordCheck">
    <div class="passwordCheck__wrapper">
      <div class="passwordCheck__content">
        <h1 class="content-title">設定新密碼</h1>

        <div class="passwordCheck__content-icon">
          <img src="@/assets/auth_ECO2_LOGO.svg" />
        </div>

        <form class="passwordCheck__content-from" @submit="onSubmit" method="post">
          <div
            class="passwordCheck__content-from-field"
            :style="passwordError != null ? 'border:1px solid red' : 'border:none'"
          >
            <input
              oninput="value=value.replace(/\s+/g,'')"
              :type="passwordShow === true ? 'text' : 'password'"
              class="passwordCheck__content-from-field-input"
              name="password"
              placeholder="新密碼，請輸入8位以上英數混合字元"
              v-model="password"
            />
            <img
              :src="
                passwordShow
                  ? require(`@/assets/auth_password-off.svg`)
                  : require(`@/assets/auth_password.svg`)
              "
              v-on:click="passwordShow = !passwordShow"
            />
          </div>
          <div class="passwordCheck__content-from-error">
            {{ passwordError }}
          </div>
          <div
            class="passwordCheck__content-from-field"
            :style="checkPasswordError != null ? 'border:1px solid red' : 'border:none'"
          >
            <input
              oninput="value=value.replace(/\s+/g,'')"
              :type="checkPasswordShow === true ? 'text' : 'password'"
              class="passwordCheck__content-from-field-input"
              name="passwordCheck"
              placeholder="確認新密碼"
              v-model="checkPassword"
            />
            <img
              :src="
                checkPasswordShow
                  ? require(`@/assets/auth_password-off.svg`)
                  : require(`@/assets/auth_password.svg`)
              "
              v-on:click="checkPasswordShow = !checkPasswordShow"
            />
          </div>
          <div class="passwordCheck__content-from-error" style="margin-bottom: 0px">
            {{ checkPasswordError }}
          </div>
          <input class="passwordCheck__content-from-submit" type="submit" value="完成" />
        </form>
      </div>
    </div>
    <div class="footer">
      <div class="footer__content">
        <span>如果您需要其他協助，請來信 ECO2 客服：</span>
        <p><a href="mailto: cs@eco2.app">cs@eco2.app</a></p>
      </div>
    </div>
  </div>
</template>

<script src="./resetPassword.ts" lang="ts"></script>

<style lang="scss">
@import "./../../auth.scss";

h1 {
  font-family: "Noto Sans TC";
  font-size: 18px;
  margin-bottom: 22px;
  font-weight: 500;
}
.ant-layout-footer {
  background-color: #211f1f !important;
}
.passwordCheck {
  background-color: #eaeaea;
  position: absolute;
  font-family: "Noto Sans TC";
  width: 100%;
  height: 100%;
}
.footer {
  text-align: center;

  color: #eaeaea;
  width: 100%;
  height: 20%;
  position: absolute;
  background-color: #211f1f;
  bottom: 0px;
  &__content {
    margin: auto;
    width: 100%;
    font-weight: 400;
    font-size: 12px;
    margin: 19px 0px;
    p {
      // text-align: left;
    }
  }
}
.passwordCheck__content {
  height: 80%;
  align-items: center;
  padding: 45px 333px 0px 332px;
  overflow: auto;
  &-icon {
    margin-bottom: 36px;
    img {
      width: 120px;
      height: 120px;
    }
  }
  &-from {
    display: inline;
    background-color: #ededed;

    &-field {
      align-items: center;
      width: 100%;
      height: 44px;
      display: flex;
      border-radius: 8px;
      background-color: #ededed;
      &-input {
        margin: 5px 0px 5px 8px;
        width: 100%;
        background-color: #ededed;
        border: 0;
        outline: none;
        z-index: 8;
      }
    }
    &-submit {
      cursor: pointer;
      height: 48px;
      margin-top: 23px;
      background: #5ac89a;
      border: none;
      border-radius: 4px;
      width: 100%;
      font-weight: 900;
      color: #fff;
    }
    &-error {
      margin-bottom: 9px;
      margin-top: 2px;
      text-align: left;
      background-color: #ffffff;
      color: #ff5858;
    }
    img {
      cursor: pointer;
      margin-right: 15px;
      // background-color: #ededed;
      // width: 22px;
      // height: 15px;
      z-index: 9;
    }
  }
}
.passwordCheck__wrapper {
  position: relative;
  background-color: #ffffff;
  margin: 0px 94px 0px 94px;
  height: 100%;
}

.ant-input-password {
  background-color: #ededed !important;
}
.ant-input {
  background-color: #ededed !important;
}
.ant-input::placeholder {
  color: #747474 !important;
}
@media screen and (max-width: 992px) {
  .passwordCheck__wrapper {
    margin: 0;
  }
  .passwordCheck__content {
    padding: 45px 221px 0px 221px;
    &-from {
      &-error {
        font-size: 12px;
      }
    }
  }
}
@media screen and (max-width: 768px) {
  .passwordCheck__wrapper {
    margin: 0;
  }
  .passwordCheck__content {
    padding: 15px 24px 0px 24px;
    &-icon {
      margin-bottom: 50px;
    }
    &-from {
      &-error {
        font-size: 12px;
      }
    }
  }
  .footer {
    font-size: 14px;
  }
}
</style>
